--
-- CutterRolls
-- This is the specialization for CutterRolls
--
-- M@D Author  Headshot XXL
-- M@D date 27.08.2009
--
-- > Copyright (C) Headshot XXL - www.planet-ls.de < --

CutterRolls = {};

function CutterRolls.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(HaeckslerCutter, specializations);
end;

function CutterRolls:load(xmlFile)

	local rollsCount = getXMLInt(xmlFile, "vehicle.rolls#count");
	if rollsCount ~= nil then
		self.rolls = {}
		for i=1, rollsCount do
			local entry = {};
			local rollPartname = string.format("vehicle.rolls.roll" .. "%d", i);
			entry.index = Utils.indexToObject(self.components, getXMLString(xmlFile, rollPartname .. "#index"));
			entry.speedScaleX = Utils.getNoNil(getXMLInt(xmlFile, rollPartname .. "#speedScaleX"), 0)/1000;
			entry.speedScaleY = Utils.getNoNil(getXMLInt(xmlFile, rollPartname .. "#speedScaleY"), 0)/1000;
			entry.speedScaleZ = Utils.getNoNil(getXMLInt(xmlFile, rollPartname .. "#speedScaleZ"), 0)/1000;
			table.insert(self.rolls, entry);
		end;
	end;
	
end;

function CutterRolls:delete()
end;

function CutterRolls:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CutterRolls:keyEvent(unicode, sym, modifier, isDown)
end;

function CutterRolls:update(dt)

	if self.reelStarted then
		for i=1, table.getn(self.rolls) do				
			rotate(self.rolls[i].index, dt*self.rolls[i].speedScaleX, dt*self.rolls[i].speedScaleY, dt*self.rolls[i].speedScaleZ);
		end;
	end;

end;

function CutterRolls:draw()
end;
